View Issue Details

IDProjectCategoryView StatusLast Update
00313782.x IDE BugsBuild MacPublic2019-10-09 15:49
ReporterDanAssigned ToFritz 
PriorityMediumSeverityC - GeneralReproducibility100%
Status AssignedResolutionOpen 
PlatformmacOSOSWindows 10OS Version1903
Product Version2.2.4 
Target VersionFixed in Version 
Summary0031378: Build Mac: Stopping a Mac build always results in an exception in your compiler log
DescriptionStopping a Mac build always results in an exception in your compiler log. Doesn't matter if you stop it when the build is actually in progress, or if when you're done testing your game, etc.

You get something like the following:

Failed to load Options from Z:/YYGTest_DF66C898\PlatformOptions.json
Igor complete.
-----------------------------------------------------------------------------
System.FormatException: String was not recognized as a valid Boolean.
   at ..(String[] )
-----------------------------------------------------------------------------
EXCEPTION FILE - C:\Users\daniel.cleaton\AppData\Local\Temp\f73b5c2aa710469db7ee327b32b9d99b.yyg.saencryptedreport
-----------------------------------------------------------------------------
Steps To Reproduce1. Run any project on macOS (made new in 2.2.4 or an existing project, doesn't matter).
2. Whenever you fancy, press the Stop button on the Windows IDE menubar.
3. Observe the error now written in your compiler log.
Repro: 100%
TagsGM2KI
2.x IDE Found In2.2.4.453
2.x Runtime Found In2.2.4.359
2.x IDE Verified In
2.x Runtime Verified In

Activities

Dan

2019-09-30 15:27

Adminstrator  

teststoppingmac.yyz (20,243 bytes)
teststoppingmac.txt (14,983 bytes)
"cmd"  /c subst Z: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE"

elapsed time 00:00:00.2029357s for command "cmd" /c subst Z: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE" started at 09/30/2019 15:23:57
"cmd"  /c subst Y: "C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP"

elapsed time 00:00:00.2019347s for command "cmd" /c subst Y: "C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP" started at 09/30/2019 15:23:58
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.4.362"

elapsed time 00:00:00.1999365s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.4.362" started at 09/30/2019 15:23:58
Saving project to: C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac\teststoppingmac.yyp
Saving 1 resources
"C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.4.362/bin/Igor.exe"  -j=8 -options="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- Mac Run

Loaded Macros from C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\teststoppi_20357C69_C5E4DD9\macros.json
Options: X:/bin\platform_setting_defaults.json
Options: C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\qa_48\local_settings.json
Options: C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\teststoppi_20357C69_C5E4DD9\targetoptions.json
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="teststoppingmac" /td="Y:/" /cd="Z:/teststoppi_20357C69_C5E4DD9" /zpuf="C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\qa_48" /m=mac /tgt=2 /studio /llvmSource="X://interpreted/"  /nodnd /cfg="default" /o="Y:/teststoppingmac_30022BAC_VM" /sh=True /optionsini="Y:/teststoppingmac_30022BAC_VM\options.ini"  /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac\teststoppingmac.yyp" /preprocess="Z:/teststoppi_20357C69_C5E4DD9"
Reading project file....C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac\options\main\inherited\options_main.inherited.yy'
finished.


X://bin/GMAssetCompiler.exe DONE (0)
Release build
Options: Z:/teststoppi_20357C69_C5E4DD9\PlatformOptions.json
mkdir -p ~/.ssh
cat ~/.ssh/authorized_keys
pwd
remote_install_path : /Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac
Options: Z:/teststoppi_20357C69_C5E4DD9\ExtensionOptions.json
PlatformOptions
[Compile] Run asset compiler
X://bin/GMAssetCompiler.exe  /c /zpex /iv=0 /rv=0 /bv=0 /j=8  /gn="teststoppingmac" /td="Y:/" /cd="Z:/teststoppi_20357C69_C5E4DD9" /zpuf="C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\qa_48" /m=mac /tgt=2 /studio /llvmSource="X://interpreted/"  /nodnd /cfg="default" /o="Y:/teststoppingmac_30022BAC_VM" /sh=True /optionsini="Y:/teststoppingmac_30022BAC_VM\options.ini"  /cvm /baseproject="X:/BaseProject\BaseProject.yyp" "C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac\teststoppingmac.yyp" /optionsini="Y:/teststoppingmac_30022BAC_VM\options.ini"  /bt=run /rt=vm
Reading project file....C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac
Reading project file....X:\BaseProject
Reading config delta 'C:\Users\daniel.cleaton\OneDrive\OneDrive - Playtech\teststoppingmac\options\main\inherited\options_main.inherited.yy'
finished.
Compile Constants...finished.
Remove DnD...finished.
Compile Scripts...finished.
Compile Objects...finished.
Compile Timelines...finished.
Compile Triggers...finished.
Compile Rooms...finished.
Compile Extensions...finished.
Global scripts...finished.
finished.
collapsing enums.
Final Compile...finished.
Saving IFF file... Y:/teststoppingmac_30022BAC_VM\teststoppingmac.zip
Writing Chunk... GEN8
option_game_speed=60
Writing Chunk... OPTN
Writing Chunk... LANG
Writing Chunk... EXTN
Writing Chunk... SOND
Writing Chunk... AGRP
Writing Chunk... SPRT
Writing Chunk... BGND
Writing Chunk... PATH
Writing Chunk... SCPT
Writing Chunk... GLOB
Writing Chunk... SHDR
Writing Chunk... FONT
Writing Chunk... TMLN
Writing Chunk... OBJT
Writing Chunk... ROOM
Writing Chunk... DAFL
Writing Chunk... EMBI
Writing Chunk... TPAGE
Writing Chunk... TGIN
Writing Chunk... CODE
Writing Chunk... VARI
Writing Chunk... FUNC
Writing Chunk... STRG
Writing Chunk... TXTR
Writing Chunk... AUDO
Writing Chunk... SCPT
Writing Chunk... DBGI
Writing Chunk... INST
Writing Chunk... LOCL
Writing Chunk... STRG
Writing Chunk... SCPT
Writing Chunk... DBGI
Writing Chunk... INST
Writing Chunk... LOCL
Writing Chunk... STRG
Stats : GMA : Elapsed=471.8502
Stats : GMA : sp=0,au=0,bk=0,pt=0,sc=0,sh=0,fo=0,tl=0,ob=1,ro=1,da=0,ex=0,ma=3,fm=0xA00008000000


X://bin/GMAssetCompiler.exe DONE (0)
nname: Y:/teststoppingmac_30022BAC_VM\teststoppingmac.zip
destname: Y:\teststoppingmac_30022BAC_VM\GameAssetsMac.zip
IsMacConnected
InstallRunnerOnMac
pscp Y:/teststoppingmac_30022BAC_VM\install_dmg.sh /Users/qa/.install_dmg.sh
chmod u+x /Users/qa/.install_dmg.sh
/Users/qa/.install_dmg.sh
rm /Users/qa/.install_dmg.sh
pscp X:/mac\Mac-YoYoRunner-Release.dmg /Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/Mac-YoYoRunner-Release.dmg
pscp Y:/teststoppingmac_30022BAC_VM\install_dmg.sh /Users/qa/.install_dmg.sh
chmod u+x /Users/qa/.install_dmg.sh
/Users/qa/.install_dmg.sh
rm /Users/qa/.install_dmg.sh
Successfully extracted game.yydebug
RunOnMac
mkdir -p "/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac"
 killall "Mac_Runner"
echo Starting... >/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/debug.log
pscp Y:\teststoppingmac_30022BAC_VM\GameAssetsMac.zip /Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac
open -a "/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/YoYo Runner.app" --args -game "/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/GameAssetsMac.zip" -debugoutput "/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/debug.log" -output "/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/debug.log"
Igor complete.
tail -F "/Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/debug.log"
libYoYoGamepad.dylib found at path /Users/qa/GameMakerStudio2/Mac/GMS2MAC/teststoppingmac/YoYo Runner.app/Contents/MacOS/../Frameworks/libYoYoGamepad.dylib
Buffers..Networking..Shaders..InitPushFunctions...YoYo..filename is /Users/qa/Library/Application Support/com.yoyogames.macyoyorunner/playerachievementcache.dat
Fini
Code_Load()
VARI_Load()
got 3 global variables
got 3 instance variables
got 1 local variables
ID_STRG
Create Window
Create Error Form
Init Graphics
GR_D3D_Init()
OpenGL: version string 2.1 INTEL-12.10.12
OpenGL: vendor string Intel Inc.
OpenGL GLSL: version string 1.20
Extensions:
GL_ARB_color_buffer_float GL_ARB_depth_buffer_float GL_ARB_depth_clamp GL_ARB_depth_texture GL_ARB_draw_buffers GL_ARB_draw_elements_base_vertex GL_ARB_draw_instanced GL_ARB_fragment_program GL_ARB_fragment_program_shadow GL_ARB_fragment_shader GL_ARB_framebuffer_object GL_ARB_framebuffer_sRGB GL_ARB_half_float_pixel GL_ARB_half_float_vertex GL_ARB_instanced_arrays GL_ARB_multisample GL_ARB_multitexture GL_ARB_occlusion_query GL_ARB_pixel_buffer_object GL_ARB_point_parameters GL_ARB_point_sprite GL_ARB_provoking_vertex GL_ARB_seamless_cube_map GL_ARB_shader_objects GL_ARB_shader_texture_lod GL_ARB_shading_language_100 GL_ARB_shadow GL_ARB_sync GL_ARB_texture_border_clamp GL_ARB_texture_compression GL_ARB_texture_compression_rgtc GL_ARB_texture_cube_map GL_ARB_texture_env_add GL_ARB_texture_env_combine GL_ARB_texture_env_crossbar GL_ARB_texture_env_dot3 GL_ARB_texture_float GL_ARB_texture_mirrored_repeat GL_ARB_texture_non_power_of_two GL_ARB_texture_rectangle GL_ARB_texture_rg GL_ARB_transpose_matrix GL_ARB_v
ertex_array_bgra GL_ARB_vertex_blend GL_ARB_vertex_buffer_object GL_ARB_vertex_program GL_ARB_vertex_shader GL_ARB_window_pos GL_EXT_abgr GL_EXT_bgra GL_EXT_blend_color GL_EXT_blend_equation_separate GL_EXT_blend_func_separate GL_EXT_blend_minmax GL_EXT_blend_subtract GL_EXT_clip_volume_hint GL_EXT_debug_label GL_EXT_debug_marker GL_EXT_draw_buffers2 GL_EXT_draw_range_elements GL_EXT_fog_coord GL_EXT_framebuffer_blit GL_EXT_framebuffer_multisample GL_EXT_framebuffer_multisample_blit_scaled GL_EXT_framebuffer_object GL_EXT_framebuffer_sRGB GL_EXT_geometry_shader4 GL_EXT_gpu_program_parameters GL_EXT_gpu_shader4 GL_EXT_multi_draw_arrays GL_EXT_packed_depth_stencil GL_EXT_packed_float GL_EXT_provoking_vertex GL_EXT_rescale_normal GL_EXT_secondary_color GL_EXT_separate_specular_color GL_EXT_shadow_funcs GL_EXT_stencil_two_side GL_EXT_stencil_wrap GL_EXT_texture_array GL_EXT_texture_compression_dxt1 GL_EXT_texture_compression_s3tc GL_EXT_texture_env_add GL_EXT_texture_filter_anisotropic GL_EXT_texture_integer GL_E
XT_texture_lod_bias GL_EXT_texture_rectangle GL_EXT_texture_shared_exponent GL_EXT_texture_sRGB GL_EXT_texture_sRGB_decode GL_EXT_timer_query GL_EXT_transform_feedback GL_EXT_vertex_array_bgra GL_APPLE_aux_depth_stencil GL_APPLE_client_storage GL_APPLE_element_array GL_APPLE_fence GL_APPLE_float_pixels GL_APPLE_flush_buffer_range GL_APPLE_flush_render GL_APPLE_object_purgeable GL_APPLE_packed_pixels GL_APPLE_pixel_buffer GL_APPLE_rgb_422 GL_APPLE_row_bytes GL_APPLE_specular_vector GL_APPLE_texture_range GL_APPLE_transform_hint GL_APPLE_vertex_array_object GL_APPLE_vertex_array_range GL_APPLE_vertex_point_size GL_APPLE_vertex_program_evaluators GL_APPLE_ycbcr_422 GL_ATI_separate_stencil GL_ATI_texture_env_combine3 GL_ATI_texture_float GL_ATI_texture_mirror_once GL_IBM_rasterpos_clip GL_NV_blend_square GL_NV_conditional_render GL_NV_depth_clamp GL_NV_fog_distance GL_NV_light_max_exponent GL_NV_texgen_reflection GL_NV_texture_barrier GL_SGIS_generate_mipmap GL_SGIS_texture_edge_clamp GL_SGIS_texture_lod 
Anisotropic filtering supported, max aniso 16
Texture #1 16,16
Texture #2 16,16
Texture #1 16,16
Texture #2 16,16
finished(2)!!
Texture #1 1,1
Texture #2 1,1
finished(2)!!
Background_InitTextures()
Sprite_InitTextures()
IO Init
Process Messages
Splash!
Start Frame
Part Create Textures
Debug Init Remote Interface
VM Init
Create Score Form
Create Load Form
Do The Work
LoadGameData()
initialise everything!
Process Chunk: GEN8   208
Process Chunk: OPTN   88
Process Chunk: LANG   24
Process Chunk: EXTN   8
Process Chunk: SOND   8
Audio_Load()
Process Chunk: AGRP   24
AudioGroup_Load()
Process Chunk: SPRT   8
Process Chunk: BGND   8
Process Chunk: PATH   8
Process Chunk: SCPT   8
Process Chunk: GLOB   8
Process Chunk: SHDR   8
Process Chunk: FONT   520
Process Chunk: TMLN   8
Process Chunk: OBJT   440
Collision Event time(microsecs)=2
Process Chunk: ROOM   792
Process Chunk: DAFL   8
Process Chunk: EMBI   8
Process Chunk: TPAG   8
Process Chunk: TGIN   8
Process Chunk: CODE   168
Process Chunk: VARI   136
Process Chunk: FUNC   88
Process Chunk: STRG   536
Process Chunk: TXTR   8
Process Chunk: AUDO   4
Audio_WAVs()
PrepareGame()
Extension_Prepare() 
Code_Constant_Prepare() 
Script_Prepare() 
TimeLine_Prepare() 
Object_Prepare() 
Preparing 1 objects:
Room_Prepare() 
Sound_Prepare() 
InitGraphics() 
Finished PrepareGame() 
Run_Start
Total memory used = 8066772(0x007b16d4) bytes
**********************************.
Entering main loop.
**********************************.
Texture #3 256,128
elapsed time 00:00:23.1506393s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.4.362/bin/Igor.exe" -j=8 -options="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- Mac Run started at 09/30/2019 15:23:58
"cmd"  /c subst Z: /d

elapsed time 00:00:00.2019357s for command "cmd" /c subst Z: /d started at 09/30/2019 15:24:21
"cmd"  /c subst Y: /d

elapsed time 00:00:00.2024391s for command "cmd" /c subst Y: /d started at 09/30/2019 15:24:21
"cmd"  /c subst X: /d

elapsed time 00:00:00.2019355s for command "cmd" /c subst X: /d started at 09/30/2019 15:24:22
---------- STOPPING REMOTE ----------
"cmd"  /c subst Z: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE"

elapsed time 00:00:00.2029353s for command "cmd" /c subst Z: "C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE" started at 09/30/2019 15:24:22
"cmd"  /c subst Y: "C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP"

elapsed time 00:00:00.2019358s for command "cmd" /c subst Y: "C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP" started at 09/30/2019 15:24:22
"cmd"  /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.4.362"

elapsed time 00:00:00.2019358s for command "cmd" /c subst X: "C:\ProgramData\GameMakerStudio2\Cache\runtimes\runtime-2.2.4.362" started at 09/30/2019 15:24:22
"cmd"  /c subst Z: /d

elapsed time 00:00:00.2009368s for command "cmd" /c subst Z: /d started at 09/30/2019 15:24:22
"cmd"  /c subst Y: /d

elapsed time 00:00:00.2009356s for command "cmd" /c subst Y: /d started at 09/30/2019 15:24:23
"cmd"  /c subst X: /d

elapsed time 00:00:00.2014398s for command "cmd" /c subst X: /d started at 09/30/2019 15:24:23
FAILED: Run Program Complete
"C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.4.362/bin/Igor.exe"  -j=8 -options="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- Mac Stop

Loaded Macros from C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\teststoppi_20357C69_C5E4DD9\macros.json
Options: X:/bin\platform_setting_defaults.json
Failed to load Options from X:/bin\platform_setting_defaults.json
Options: C:\Users\daniel.cleaton\AppData\Roaming/GameMakerStudio2\qa_48\local_settings.json
Options: C:\Users\daniel.cleaton\AppData\Roaming\GameMakerStudio2\Cache\GMS2CACHE\teststoppi_20357C69_C5E4DD9\targetoptions.json
Release build
Options: Z:/teststoppi_20357C69_C5E4DD9\PlatformOptions.json
Failed to load Options from Z:/teststoppi_20357C69_C5E4DD9\PlatformOptions.json
Igor complete.
-----------------------------------------------------------------------------
System.FormatException: String was not recognized as a valid Boolean.
   at ..(String[] )
-----------------------------------------------------------------------------
EXCEPTION FILE - C:\Users\daniel.cleaton\AppData\Local\Temp\b62d6e9f7db84462842c00253004726f.yyg.saencryptedreport
-----------------------------------------------------------------------------
elapsed time 00:00:00.1979369s for command "C:\ProgramData/GameMakerStudio2/Cache/runtimes\runtime-2.2.4.362/bin/Igor.exe" -j=8 -options="C:\Users\daniel.cleaton\AppData\Local\GameMakerStudio2\GMS2TEMP\build.bff" -v -- Mac Stop started at 09/30/2019 15:24:23
teststoppingmac.txt (14,983 bytes)

Dan

2019-09-30 15:27

Adminstrator   ~0064890

Updated the steps and added a sample project/full compiler log.